.block-icon-text {
  --fg: var(--primary);
  --fg-headline: var(--primary);
  --gap: 2em;
  color: var(--fg);
}
.block-icon-text__list {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  text-align: center;
  gap: var(--gap);
}
@media screen and (max-width: 1024px) {
  .block-icon-text__list {
    grid-template-columns: 100%;
  }
}
.block-icon-text__item {
  padding-top: 1em;
  padding-bottom: 1em;
}
@media screen and (max-width: 1024px) {
  .block-icon-text__item {
    padding-top: 0;
    padding-bottom: 0;
    max-width: 37.5rem;
    margin-left: auto;
    margin-right: auto;
  }
}
.block-icon-text__item + .block-icon-text__item {
  border-left: 1px solid currentColor;
  padding-left: var(--gap);
}
@media screen and (max-width: 1024px) {
  .block-icon-text__item + .block-icon-text__item {
    border-left: none;
    padding-left: 0;
    border-top: 1px solid currentColor;
    padding-top: var(--gap);
  }
}
.block-icon-text__icon {
  margin-bottom: 1rem;
}
.block-icon-text__icon svg,
.block-icon-text__icon img {
  height: 4.375rem;
  width: auto;
  display: inline-block;
}
.block-icon-text__content {
  font-size: clamp(1rem, 22 / var(--page-width-unitless) * 100vw, 1.375rem);
}
.block-icon-text__content > * {
  max-width: 25rem;
  margin-left: auto;
  margin-right: auto;
}
.block-icon-text__content > *:first-child {
  margin-top: 0;
}
.block-icon-text__content > *:last-child {
  margin-bottom: 0;
}
.block-icon-text__content h1,
.block-icon-text__content h2,
.block-icon-text__content h3 {
  font-size: clamp(1.875rem, 55 / var(--page-width-unitless) * 100vw, 3.4375rem);
  margin-bottom: 1rem;
  max-width: 100%;
}
.block-icon-text__content p {
  margin-top: 0;
  margin-bottom: 1rem;
}